SUSE Security Update: Security update for gdk-pixbuf
______________________________________________________________________________

Announcement ID:    SUSE-SU-2018:1950-1
Rating:             moderate
References:         #1074462 
Cross-References:   CVE-2017-1000422
Affected Products:
                    SUSE Linux Enterprise Software Development Kit 12-SP3
                    SUSE Linux Enterprise Server 12-SP3
                    SUSE Linux Enterprise Desktop 12-SP3
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for gdk-pixbuf fixes the following security issue:

   - CVE-2017-1000422: Prevent several integer overflow in the gif_get_lzw
     function resulting in memory corruption and potential code execution
     (bsc#1074462).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Software Development Kit 12-SP3:

      zypper in -t patch SUSE-SLE-SDK-12-SP3-2018-1322=1

   - SUSE Linux Enterprise Server 12-SP3:

      zypper in -t patch SUSE-SLE-SERVER-12-SP3-2018-1322=1

   - SUSE Linux Enterprise Desktop 12-SP3:

      zypper in -t patch SUSE-SLE-DESKTOP-12-SP3-2018-1322=1



Package List:

   - SUSE Linux Enterprise Software Development Kit 12-SP3 (aarch64 ppc64le s390x x86_64):

      gdk-pixbuf-debugsource-2.34.0-19.11.1
      gdk-pixbuf-devel-2.34.0-19.11.1
      gdk-pixbuf-devel-debuginfo-2.34.0-19.11.1

   - SUSE Linux Enterprise Server 12-SP3 (aarch64 ppc64le s390x x86_64):

      gdk-pixbuf-debugsource-2.34.0-19.11.1
      gdk-pixbuf-query-loaders-2.34.0-19.11.1
      gdk-pixbuf-query-loaders-debuginfo-2.34.0-19.11.1
      libgdk_pixbuf-2_0-0-2.34.0-19.11.1
      libgdk_pixbuf-2_0-0-debuginfo-2.34.0-19.11.1
      typelib-1_0-GdkPixbuf-2_0-2.34.0-19.11.1

   - SUSE Linux Enterprise Server 12-SP3 (s390x x86_64):

      gdk-pixbuf-query-loaders-32bit-2.34.0-19.11.1
      gdk-pixbuf-query-loaders-debuginfo-32bit-2.34.0-19.11.1
      libgdk_pixbuf-2_0-0-32bit-2.34.0-19.11.1
      libgdk_pixbuf-2_0-0-debuginfo-32bit-2.34.0-19.11.1

   - SUSE Linux Enterprise Server 12-SP3 (noarch):

      gdk-pixbuf-lang-2.34.0-19.11.1

   - SUSE Linux Enterprise Desktop 12-SP3 (x86_64):

      gdk-pixbuf-debugsource-2.34.0-19.11.1
      gdk-pixbuf-query-loaders-2.34.0-19.11.1
      gdk-pixbuf-query-loaders-32bit-2.34.0-19.11.1
      gdk-pixbuf-query-loaders-debuginfo-2.34.0-19.11.1
      gdk-pixbuf-query-loaders-debuginfo-32bit-2.34.0-19.11.1
      libgdk_pixbuf-2_0-0-2.34.0-19.11.1
      libgdk_pixbuf-2_0-0-32bit-2.34.0-19.11.1
      libgdk_pixbuf-2_0-0-debuginfo-2.34.0-19.11.1
      libgdk_pixbuf-2_0-0-debuginfo-32bit-2.34.0-19.11.1
      typelib-1_0-GdkPixbuf-2_0-2.34.0-19.11.1

   - SUSE Linux Enterprise Desktop 12-SP3 (noarch):

      gdk-pixbuf-lang-2.34.0-19.11.1


References:

   https://www.suse.com/security/cve/CVE-2017-1000422.html
   https://bugzilla.suse.com/1074462

SUSE: 2018:1950-1 moderate: gdk-pixbuf

July 13, 2018
An update that fixes one vulnerability is now available

Summary

This update for gdk-pixbuf fixes the following security issue: - CVE-2017-1000422: Prevent several integer overflow in the gif_get_lzw function resulting in memory corruption and potential code execution (bsc#1074462). Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - SUSE Linux Enterprise Software Development Kit 12-SP3: zypper in -t patch SUSE-SLE-SDK-12-SP3-2018-1322=1 - SUSE Linux Enterprise Server 12-SP3: zypper in -t patch SUSE-SLE-SERVER-12-SP3-2018-1322=1 - SUSE Linux Enterprise Desktop 12-SP3: zypper in -t patch SUSE-SLE-DESKTOP-12-SP3-2018-1322=1 Package List: - SUSE Linux Enterprise Software Development Kit 12-SP3 (aarch64 ppc64le s390x x86_64): gdk-pixbuf-debugsource-2.34.0-19.11.1 gdk-pixbuf-devel-2.34.0-19.11.1 gdk-pixbuf-devel-debuginfo-2.34.0-19.11.1 - SUSE Linux Enterprise Server 12-SP3 (aarch64 ppc64le s390x x86_64): gdk-pixbuf-debugsource-2.34.0-19.11.1 gdk-pixbuf-query-loaders-2.34.0-19.11.1 gdk-pixbuf-query-loaders-debuginfo-2.34.0-19.11.1 libgdk_pixbuf-2_0-0-2.34.0-19.11.1 libgdk_pixbuf-2_0-0-debuginfo-2.34.0-19.11.1 typelib-1_0-GdkPixbuf-2_0-2.34.0-19.11.1 - SUSE Linux Enterprise Server 12-SP3 (s390x x86_64): gdk-pixbuf-query-loaders-32bit-2.34.0-19.11.1 gdk-pixbuf-query-loaders-debuginfo-32bit-2.34.0-19.11.1 libgdk_pixbuf-2_0-0-32bit-2.34.0-19.11.1 libgdk_pixbuf-2_0-0-debuginfo-32bit-2.34.0-19.11.1 - SUSE Linux Enterprise Server 12-SP3 (noarch): gdk-pixbuf-lang-2.34.0-19.11.1 - SUSE Linux Enterprise Desktop 12-SP3 (x86_64): gdk-pixbuf-debugsource-2.34.0-19.11.1 gdk-pixbuf-query-loaders-2.34.0-19.11.1 gdk-pixbuf-query-loaders-32bit-2.34.0-19.11.1 gdk-pixbuf-query-loaders-debuginfo-2.34.0-19.11.1 gdk-pixbuf-query-loaders-debuginfo-32bit-2.34.0-19.11.1 libgdk_pixbuf-2_0-0-2.34.0-19.11.1 libgdk_pixbuf-2_0-0-32bit-2.34.0-19.11.1 libgdk_pixbuf-2_0-0-debuginfo-2.34.0-19.11.1 libgdk_pixbuf-2_0-0-debuginfo-32bit-2.34.0-19.11.1 typelib-1_0-GdkPixbuf-2_0-2.34.0-19.11.1 - SUSE Linux Enterprise Desktop 12-SP3 (noarch): gdk-pixbuf-lang-2.34.0-19.11.1

References

#1074462

Cross- CVE-2017-1000422

Affected Products:

SUSE Linux Enterprise Software Development Kit 12-SP3

SUSE Linux Enterprise Server 12-SP3

SUSE Linux Enterprise Desktop 12-SP3

https://www.suse.com/security/cve/CVE-2017-1000422.html

https://bugzilla.suse.com/1074462

Severity
Announcement ID: SUSE-SU-2018:1950-1
Rating: moderate